Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

jekyll-0.12.0: tests fail with "Liquid error: EPIPE" #713

Closed
mrueg opened this Issue · 2 comments

2 participants

@mrueg
 3) Failure:
test: post content has highlight tag should render markdown with pygments line handling. (TestTags) [/var/tmp/portage/www-apps/jekyll-0.12.0/work/ruby19/jekyll-0.12.0/test/test_tags.rb:84]:
Expected /<pre><code\ class='text'>test\n<\/code><\/pre>/ to match "<hr />\n<h2 id='title_this_is_a_test'>title: This is a test</h2>\n\n<p>This document results in a markdown error with maruku</p>\n\n<p>Liquid error: EPIPE</p>".

  4) Failure:
test: post content has highlight tag with UTF character should render markdown with pygments line handling. (TestTags) [/var/tmp/portage/www-apps/jekyll-0.12.0/work/ruby19/jekyll-0.12.0/test/test_tags.rb:104]:
Expected /<pre><code\ class='text'>\u00C6\n<\/code><\/pre>/ to match "<hr />\n<h2 id='title_this_is_a_test'>title: This is a test</h2>\n\n<p>This document results in a markdown error with maruku</p>\n\n<p>Liquid error: EPIPE</p>".

  5) Failure:
test: post content has highlight with file reference should not embed the file. (TestTags) [/var/tmp/portage/www-apps/jekyll-0.12.0/work/ruby19/jekyll-0.12.0/test/test_tags.rb:94]:
Expected /<pre><code\ class='text'>\.\/jekyll\.gemspec\n<\/code><\/pre>/ to match "<hr />\n<h2 id='title_this_is_a_test'>title: This is a test</h2>\n\n<p>This document results in a markdown error with maruku</p>\n\n<p>Liquid error: EPIPE</p>".

used versions:

redcloth-4.2.9
liquid-2.4.1
maruku-0.6.1
shoulda-2.11.3
pygments.rb-0.3.3 (unbundled, external pygments-1.5)

ruby-1.9.3_p194

@parkr
Owner

I'm using the same Ruby (MRI) using RVM and everything seems to work just fine for me.

I'm using these versions, too (straight from my Gemfile.lock):

  • RedCloth (4.2.9)
  • liquid (2.4.1)
  • maruku (0.6.1)
  • shoulda (2.11.3)

Only difference is pygments:

pygments.rb (0.3.4)
      posix-spawn (~> 0.3.6)
      yajl-ruby (~> 1.1.0)
@mrueg

I've updated to pygments.rb-0.3.4, but tests fail, too. I also tried to play with liquid's and kramdown's versions, but tests keep failing.
Maybe this is related to the external usage of pygments-1.5? The bundled pygments in pygments.rb is a snapshot of upstreams hg.

@parkr parkr closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.